import getBaseHundredUnit from './getBaseHundredUnit'

it('should exist', () => {
  expect(getBaseHundredUnit).toBeDefined()
})

it('should be a callable', () => {
  expect(typeof getBaseHundredUnit).toBe('function')
})

it('should accept 3 arguments', () => {
  expect(getBaseHundredUnit).toHaveLength(1)
})

test.each`
  hundreds | hundredsName     | hundredsDisplay
  ${1}     | ${'sandaan'}     | ${100}
  ${2}     | ${'dalawandaan'} | ${200}
  ${3}     | ${'tatlongdaan'} | ${300}
  ${4}     | ${'apatnaraan'}  | ${400}
  ${5}     | ${'limandaan'}   | ${500}
  ${6}     | ${'animnaraan'}  | ${600}
  ${7}     | ${'pitongdaan'}  | ${700}
  ${8}     | ${'walongdaan'}  | ${800}
  ${9}     | ${'siyamnaraan'} | ${900}
`('should return "$hundredsName" on $hundredsDisplay', ({ hundreds, hundredsName, }) => {
  expect(getBaseHundredUnit(hundreds)).toBe(hundredsName)
})
