import getTenPlusName from './getTenPlusName'

it('should exist', () => {
  expect(getTenPlusName).toBeDefined()
})

it('should be a callable', () => {
  expect(typeof getTenPlusName).toBe('function')
})

it('should accept 1 argument', () => {
  expect(getTenPlusName).toHaveLength(1)
})

describe('on 1 in tens place', () => {
  test.each`
    ones | tenPlusName
    ${0} | ${'sampu'}
    ${1} | ${'labing-isa'}
    ${2} | ${'labindalawa'}
    ${3} | ${'labintatlo'}
    ${4} | ${'labing-apat'}
    ${5} | ${'labinlima'}
    ${6} | ${'labing-anim'}
    ${7} | ${'labimpito'}
    ${8} | ${'labingwalo'}
    ${9} | ${'labinsiyam'}
  `(`should return "$tenPlusName" for 1$ones`, ({ ones, tenPlusName, }) => {
    expect(getTenPlusName(ones)).toBe(tenPlusName)
  })
})
